/**
 * Contact Section Styles
 *
 * @package Olive
 */

/* General Styles */

/* FuturaLT-300 - latin */
@font-face {
	font-family: 'FuturaLT';
	font-style: normal;
	font-weight: 300;
	src: url(../../src/library/font/futura/FuturaLT-Light-300.eot); /* IE9 Compat Modes */
	src:
		local('FutraLT Light'),
		local('FuturaLT-Light'),
		url(../../src/library/fonts/futura/FuturaLT-Light.eot?#iefix)
			format('embedded-opentype'),
		url(../../src/library/fonts/futura/FuturaLT-Light.woff2) format('woff2'),
		url(../../src/library/fonts/futura/FuturaLT-Light.woff) format('woff'),
		url(../../src/library/fonts/futura/FuturaLT-Light.ttf) format('truetype');
	/* url(../../src/library/fonts/lato-v16-latin/lato-v16-latin-300.svg#Lato) format('svg'); /* Legacy iOS */
}

/* FuturaLT-LightOblique - latin */
@font-face {
	font-family: 'FuturaLT';
	font-style: oblique;
	font-weight: 300;
	src: url(../../src/library/fonts/futura/FuturaLT-LightOblique.eot); /* IE9 Compat Modes */
	src:
		local('FuturaLT Light Italic'),
		local('FuturaLT-LightItalic'),
		url(../../src/library/fonts/futura/FuturaLT-LightOblique.eot?#iefix)
			format('embedded-opentype'),
		url(../../src/library/fonts/futura/FuturaLT-LightOblique.woff2)
			format('woff2'),
		url(../../src/library/fonts/futura/FuturaLT-LightOblique.woff)
			format('woff'),
		url(../../src/library/fonts/futura/FuturaLT-LightOblique.ttf)
			format('truetype');
	/* url(../../src/library/fonts/futura/FuturaLT-Light-300italic.svg#Lato) format('svg'); /* Legacy iOS */
}

/* FuturaLT-Book - latin */
@font-face {
	font-family: 'FuturaLT';
	font-style: normal;
	font-weight: 400;
	src: url(../../src/library/fonts/futura/FuturaLT-Book.eot); /* IE9 Compat Modes */
	src:
		local('FuturaLT Book'),
		local('FuturaLt-Book'),
		url(../../src/library/fonts/futura/FuturaLT-Book.eot?#iefix)
			format('embedded-opentype'),
		url(../../src/library/fonts/futura/FuturaLT-Book.woff2) format('woff2'),
		url(../../src/library/fonts/futura/FuturaLT-Book.woff) format('woff'),
		url(../../src/library/fonts/futura/FuturaLT-Book.ttf) format('truetype');
	/* url(../../src/library/fonts/lato-v16-latin/lato-v16-latin-regular.svg#Lato) format('svg'); /* Legacy iOS */
}

/* FuturaLT-BookOblique - latin */
@font-face {
	font-family: 'FuturaLT';
	font-style: italic;
	font-weight: 400;
	src: url(../../src/library/fonts/futura/FuturaLT-BookOblique.eot); /* IE9 Compat Modes */
	src:
		local('FuturaLT Book Oblique'),
		local('FuturaLT-BookOblique'),
		url(../../src/library/fonts/futura/FuturaLT-BookOblique.eot?#iefix)
			format('embedded-opentype'),
		url(../../src/library/fonts/futura/FuturaLT-BookOblique.woff2)
			format('woff2'),
		url(../../src/library/fonts/futura/FuturaLT-BookOblique.woff)
			format('woff'),
		url(../../src/library/fonts/futura/FuturaLT-BookOblique.ttf)
			format('truetype');
	/* url(../../src/library/fonts/lato-v16-latin/lato-v16-latin-italic.svg#Lato) format('svg'); /* Legacy iOS */
}
/* FuturaLT-Bold - latin */
@font-face {
	font-family: 'FuturaLT';
	font-style: normal;
	font-weight: 700;
	src: url(../../src/library/fonts/futura/FuturaLT-Bold.eot); /* IE9 Compat Modes */
	src:
		local('FouturaLT BoldOblique'),
		local('FuturaLT-boldOblique'),
		url(../../src/library/fonts/futura/FuturaLT-Bold.eot?#iefix)
			format('embedded-opentype'),
		url(../../src/library/fonts/futura/FuturaLT-Bold.woff2) format('woff2'),
		url(../../src/library/fonts/futura/FuturaLT-Bold.woff) format('woff'),
		url(../../src/library/fonts/lfutura/FuturaLT-Bold.ttf) format('truetype');
	/* url(../../src/library/fonts/lato-v16-latin/lato-v16-latin-700.svg#Lato) format('svg'); /* Legacy iOS */
}
/* futura-boldoblique - latin */
@font-face {
	font-family: 'FuturaLT';
	font-style: italic;
	font-weight: 700;
	src: url(../../src/library/futura/FuturaLT-BoldOblique.eot); /* IE9 Compat Modes */
	src:
		local('FuturaLT Bold Oblique'),
		local('FuturaLT-BoldOblique'),
		url(../../src/library/fonts/futura/FuturaLT-BoldOblique.eot?#iefix)
			format('embedded-opentype'),
		url(../../src/library/fonts/futura/FuturaLT-BoldOblique.woff2)
			format('woff2'),
		url(../../src/library/fonts/futura/FuturaLT-BoldOblique.woff)
			format('woff'),
		url(../../src/library/fonts/futura/FuturaLT-BoldOblique.ttf)
			format('truetype');
	/* url(../../src/library/fonts/lato-v16-latin/lato-v16-latin-700italic.svg#Lato) format('svg'); /* Legacy iOS */
}

/*---------------------------------
		Colors Variables
    
-----------------------------------*/
:root {
	--black: #06021d;
	--light: #e0dfe4;
	--link-on-light: #2111dd;
	--link-on-dark: #8980ec;
	--hover: #ecb40a;
	--danger: #ec4811;

	--new-theme-color: #929479;
	--new-theme-color-2: #2d2f26;
	--new-theme-color-3: #dd3c0b;

	/*----------------
		Border Radius
	------------------*/
	/* Fluid Border Radius: 0.8rem to 2.5rem */
	/* 0.8rem = Min | 2vw + 0.5rem = Preferred | 2.5rem = Max */
	--radius-fluid-rem: clamp(0.8rem, 2vw + 0.5rem, 2.5rem);
	--border-radius-sm: 16px;
	--border-radius-lg: 24px;

	/*----------------
		Paddings and margins
	------------------*/
	/* Fluid Padding (Top/Bottom): 0.5rem to 2rem */
	--btn-padding-y: clamp(0.5rem, 2vw + 0.2rem, 2rem);
	/* Fluid Padding (Left/Right): 1rem to 2rem */
	--btn-padding-x: clamp(1rem, 2vw + 0.5rem, 2rem);
	/* Fluid inner spacing */
	--padding-left-fluid: clamp(1rem, 5vw, 3rem);
	--padding-right-fluid: clamp(1rem, 5vw, 3rem);
	--padding-top-fluid: clamp(0.5rem, 5vh, 3rem);
	--padding-y-fluid-lg: clamp(2rem, 2vh, 8rem);
	--padding-y-fluid-md: clamp(0.5rem, 2.5vh, 1rem);
	--padding-bottom-fluid: clamp(0.5rem, 5vh, 3rem);
	--padding-sm: 0.5rem;
	--padding-md: 1rem;
	--padding-lg: 1.5rem;
	--padding-xl: 2rem;
	--padding-xxl: 4rem;

	/* Fluid Margin (Top/Bottom): 0.5rem to 2rem */
	--margin-y-fluid: clamp(0.5rem, 2vw + 0.2rem, 2rem);
	/* Fluid Margin (Left/Right): 1rem to 2rem */
	--margin-x-fluid: clamp(1rem, 2vw + 0.5rem, 2rem);
	--margin-sm: 0.5rem;
	--margin-md: 1rem;
	--margin-lg: 1.5rem;
	--margin-xl: 2rem;
	--margin-xxl: 4rem;

	/* Fluid Column Gap: 0.5rem to 4rem */
	--column-gap-fluid: clamp(0.5rem, 4vw + 0.25rem, 4rem);
	/* Fluid Row Gap: 0.5rem to 4rem */
	--row-gap-fluid: clamp(0.5rem, 4vw + 0.25rem, 4rem);
	--gap-sm: 0.5rem;
	--gap-md: 1rem;
	--gap-lg: 1.5rem;
	--gap-xl: 2rem;
	--gap-xxl: 4rem;

	/*----------------
		Images and boxes aspect ratios
	------------------*/
	--horizontal: 16/9;
	--vertical: 4/5;
	--square: 1/1;

	/*----------------
		Font sizes
	------------------*/

	/* Paragraph sizes */
	--paragraph-base: clamp(1rem, 1vw + 1rem, 1.25rem);
	--paragraph-large: clamp(2rem, 1vw + 2rem, 2rem);
	--paragraph-md: clamp(1rem, 1vw + 0.8rem, 1.1rem);
	--heading-in-page-sm: clamp(1.2rem, 2vw, 3rem);
	--p-sm: 0.8rem;
	--p-md: 1.2rem;
	--p-lg: 1.5rem;
	--p-xl: 2rem;
	--p-xxl: 3rem;

	/* H1 sizes */
	--heading-base: clamp(4rem, 16vw, 22rem);
	--heading-in-page: clamp(4rem, 8vw, 11rem);
	--heading-in-page-md: clamp(2rem, 4vw, 5.5rem);
	--h1-sm: 2rem;
	--h1-md: 3rem;
	--h1-lg: 4rem;
	--h1-xl: 5rem;
	--h1-xxl: 6rem;

	/* H2 sizes */
	--h2-fluid-lg: clamp(3.5rem, 16vw - 2.2rem, 18rem);
	--h2-fluid-md: clamp(2.5rem, 12vw - 1.8rem, 13.5rem);
	--h2-fluid-sm: clamp(1.75rem, 8vw - 1.1rem, 9rem);
	--h2-fluid: clamp(1.3rem, 2.5vw, 3.3rem);
	--h2-sm: 1.5rem;
	--h2-md: 2rem;
	--h2-lg: 2.5rem;
	--h2-xl: 3rem;
	--h2-xxl: 4rem;

	/* H3 sizes */
	--h3-fluid: clamp(1.2rem, 2vw, 3rem);
	--h3-sm: 1.2rem;
	--h3-md: 1.5rem;
	--h3-lg: 2rem;
	--h3-xl: 2.5rem;
	--h3-xxl: 3rem;

	/*Links and buttons variables*/
	--link-text-fluid: clamp(1.2rem, 2.5vw, 3rem);
	--link-text-fluid-md: clamp(1rem, 2vw, 2rem);
	--link-text-fluid-sm: clamp(1rem, 1vw, 1.5rem);
	--link-text-fluid-xs: clamp(0.5rem, 1vw, 1rem);
	--link-text-sm: 1.3rem;
	--link-text-md: 1.8rem;
	--link-text-lg: 2.5rem;
	--link-text-xl: 3rem;
	--link-text-xxl: 4rem;

	/*---------------- Icons ----------------*/
	--icon-fluid-md: clamp(4rem, 2vw + 0.5rem, 6rem);
	--icon-fluid: clamp(1.2rem, 2vw + 0.5rem, 3rem);

	/*---------------- 
	Divs
	----------------*/
	--div-fluid-width: clamp(300px, 25%, 1440px);
	--div-fluid-width: clamp(300px, 25%, 1440px);
	--div-fluid-height: clamp(22rem, 65vh, 60rem);
	--fw-container: clamp(90%, 90%, 90%);
}

br {
	margin: 0;
	padding: 0;
	height: 5px;
}
.contact-section {
	padding-bottom: 4rem;
	margin-bottom: 4rem;
}
.contact-container {
	display: flex;
	flex-direction: row;
	flex: 60% 40%;
	justify-content: end;
	gap: var(--column-gap-fluid);
	width: 100%;
}

/* Large title wrapper */

.large-text-wrapper {
	width: 40%;
}
.CTA-heading {
	font-size: var(--h3-fluid);
	line-height: 1.2;
	font-weight: 300;
	margin-bottom: var(--margin-y-fluid);
}
.large-paragraph {
	font-size: var(--paragraph-large);
	max-width: 50ch;
}
.contact-form-column {
	width: 40%;
	padding: 0;
}

/* Contact Info Column */
/*
.contact-info-column {
	max-height: 70vh;
	width: 33%;
	overflow: hidden;
}


.section-img-container {
	height: 100%;
	width: 100%;
	overflow: hidden;
}

.vertical-img {
	height: 100%;
}

.custom-element {
	height: 100%;
	justify-content: center;
	align-items: center;
	object-fit: contain;
}

.static-img {
	height: 100%;
	width: 100%;
	object-fit: contain;
}
*/

.wpcf7-form {
	display: flex;
	width: 100%;
	flex-direction: column;
	justify-content: start;
	align-items: start;
}

.contact-form {
	width: 100%;
}

.contact-info {
	display: none;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: start;
	gap: var(--padding-md);
	padding: 0;
	margin-bottom: 2rem;
}

.email-container {
	margin: 0;
	padding: 0;
	display: flex;
	flex-direction: column;
	align-items: start;
}

.no-bg-button {
	display: inline-block;
	font-size: var(--link-text-var);
	text-decoration: none;
	padding: var(--padding-sm) var(--padding-md);
	justify-content: center;
	align-items: center;
	transition: background-color 0.6s ease-in-out;
	cursor: pointer;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}
.no-bg-button:hover {
	text-decoration: none;
}

.copy-wrapper {
	margin: 0;
	padding: 0;
}

.copy-success-message {
	margin-top: var(--gap-sm);
	opacity: 0;
	transition: opacity 0.6s ease;
}

.copy-success-message.visible {
	opacity: 1;
}

/* Contact Form Column */

.contact-form {
	padding-top: var(--padding-xl);
}

.form-title {
	margin-top: 0;
	margin-bottom: 2rem;
}

/* Form Styles */
.olive-form {
	display: flex;
	flex-direction: column;
	gap: var(--padding-md);
}

.form-field {
	display: flex;
	flex-direction: column;
}

.form-label {
	font-size: 5rem;
	font-weight: 600;
	margin-bottom: 0.6rem;
}

.form-input,
.form-select,
.form-textarea {
	min-height: 24px;
	padding: 16px 8px 8px 8px;
	border: none;
	border-bottom: 1px solid var(--danger);
	background-color: transparent;
	transition: border-color 0.6s ease;
}

.form-input:focus,
.form-select:focus,
.form-textarea:focus {
	outline: none;
	border-bottom-color: var(--link);
}

.form-textarea {
	resize: vertical;
	min-height: 100px;
}

.form-submit {
	margin-top: 1rem;
}

.form-message {
	margin-top: 1rem;
	font-size: 1rem;
}

/* Contact Form 7 Specific Styles */

.wpcf7-form-control-wrap {
	display: block;
	border: none;
}

.wpcf7-form-control {
	display: flex;
	flex-wrap: wrap;
	margin-top: 2rem;
	gap: 1.5rem;
	border: none;
	outline: none;
	justify-content: start;
	align-items: start;
}

.wpcf7-text,
.wpcf7-validates-as-required {
	padding: 0;
}
.wpcf7-list-item {
	margin: 0 2rem 0 0;
}

.wpcf7-form input[type='text'],
.wpcf7-form input[type='email'],
.wpcf7-form input[type='url'],
.wpcf7-form select,
.wpcf7-form textarea {
	background-color: transparent;
	font-size: 1.2rem;
	font-weight: 200;
	width: 100%;
}

/* custom checkbox styling for contact form 7 checkbox */
span.wpcf7-list-item {
	display: inline-block;
	margin: 0;
}
.wpcf7 .wpcf7-list-item {
	display: block;
	margin-bottom: 10px;
}
.wpcf7-checkbox label {
	position: relative;
	cursor: pointer;
}
.wpcf7-checkbox input[type='checkbox'] {
	/*position: relative;*/
	position: absolute;
	visibility: hidden;
	width: 30px;
	height: 30px;
	top: 0;
	left: 0;
}
.wpcf7-checkbox input[type='checkbox'] + span {
	/* border: 3px solid var(--link-hover); */
}
.wpcf7-checkbox input[type='checkbox'] + span:before {
	display: block;
	position: absolute;
	content: '';
	border-radius: 0;
	height: 30px;
	width: 30px;
	top: 0px;
	left: 0px;
}
.wpcf7-checkbox input[type='checkbox'] + span:after {
	display: block;
	position: absolute;
	content: '\2713';
	height: 30px;
	width: 30px;
	top: 0;
	left: 0;
	visibility: hidden;
	font-size: 18px;
	text-align: center;
	line-height: 30px;
}
.wpcf7-checkbox input[type='checkbox']:checked + span:before {
	background: transparent;
}
.wpcf7-checkbox input[type='checkbox']:checked + span:after {
	visibility: visible;
}
.wpcf7-list-item-label {
	margin-left: 40px;
	display: inline-block;
}

/* Contact Form 7 Submit Button */

.wpcf7-not-valid-tip,
.success-message {
	font-family: 'FuturaLT';
	font-size: 16px;
	font-weight: 300;
	color: var(--danger);
	margin-top: 0.25rem;
}

.wpcf7-response-output {
	margin: 1rem 0 0 0;
	padding: 0.5rem;
	border: 1px solid var(--link);
}

/* Responsive Styles */
@media screen and (max-width: 992px) {
	.contact-container {
		flex: 50% 50%;
		justify-content: space-between;
	}
	.large-text-wrapper {
		width: 50%;
	}
	.contact-form-column {
		width: 50%;
	}

	
}
@media screen and (max-width: 768px) {


	.contact-container {
		display: flex;
		flex-direction: column;
		justify-content: space-between;
		width: 100%;
	}
	.large-text-wrapper {
		width: 100%;
	}
	p {
		width: 100%;
	}

	.contact-form-column {
		width: 100%;
	}

	.contact-info {
		display: none;
	}


}

@media screen and (max-width: 480px) {
	.section-title {
		font-size: 1.8rem;
	}

	.contact-title,
	.form-title {
		font-size: 1.3rem;
	}
}
